Package Details: python-rebulk 3.1.0-1

Git Clone URL: https://aur.archlinux.org/python-rebulk.git (read-only, click to copy)
Package Base: python-rebulk
Description: Define simple search patterns in bulk to perform advanced matching on any string.
Upstream URL: https://github.com/Toilal/rebulk
Licenses: MIT
Submitter: sleduc
Maintainer: fryfrog
Last Packager: fryfrog
Votes: 36
Popularity: 0.57
First Submitted: 2016-01-24 10:18 (UTC)
Last Updated: 2021-12-13 07:41 (UTC)

Latest Comments

yochananmarqos commented on 2021-03-27 20:54 (UTC)

@fryfrog: Ha ha, no worries. To each his own. I admit spaces do look better on aurweb.

fryfrog commented on 2021-03-27 19:21 (UTC)

Thanks again, applied. My brain cannot accept tabs or variables w/o {}, so I had to "fix" that so I'm sorry for that. :)

yochananmarqos commented on 2021-03-27 18:18 (UTC)

@fryfrog: It turns out python-pytest-runner is not required. I made changes according to this recent forum post.

fryfrog commented on 2021-03-07 15:43 (UTC)

@yochananmarqos: Ah, thanks! I'll put it back. :)

yochananmarqos commented on 2021-03-07 15:40 (UTC)

@donbex @fryfrog: It's to make bytecode reproducible. See Python package guidelines

fryfrog commented on 2021-03-07 15:21 (UTC)

https://docs.python.org/3.3/using/cmdline.html#cmdoption-R

^ Doesn't seem like something it should do, so I'm punting it from the PKGBUILD I borrowed from @yochananmarqos.

donbex commented on 2021-03-07 13:52 (UTC)

@yochananmarqos Why is your PKGBUILD exporting PYTHONHASHSEED=0?

fryfrog commented on 2021-03-06 22:18 (UTC)

Hey @yochananmarqos, thanks for the improved PKGBUILD. In the future, please feel free to make them as you see them, I'm happy to improve the packages I maintain. :)

yochananmarqos commented on 2021-03-06 19:45 (UTC)

@BachoSeven: Deleted my previous comment, I misspoke.

The only reason why it's trying Pip and Wheel is because the python-pytest-runner setup dependency is missing during build. It should only be required for the tests.

Try my PKGBUILD (updated).

BachoSeven commented on 2021-03-06 19:06 (UTC)

@fryfrog Build is failing, I think this should make-depend on python-pip, see error log:

/usr/bin/python: No module named pip
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/setuptools/installer.py", line 75, in fetch_build_egg
    subprocess.check_call(cmd)
  File "/usr/lib/python3.9/subprocess.py", line 373, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/usr/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmpivkbu01p', '--quiet', 'pytest-runner']' returned non-zero exit status 1.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/fra/.cache/paru/clone/python-rebulk/src/rebulk-3.0.1/setup.py", line 65, in <module>
    setup(**args)
  File "/usr/lib/python3.9/site-packages/setuptools/__init__.py", line 152, in setup
    _install_setup_requires(attrs)
  File "/usr/lib/python3.9/site-packages/setuptools/__init__.py", line 147, in _install_setup_requires
    dist.fetch_build_eggs(dist.setup_requires)
  File "/usr/lib/python3.9/site-packages/setuptools/dist.py", line 687, in fetch_build_eggs
    resolved_dists = pkg_resources.working_set.resolve(
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 766, in resolve
    dist = best[req.key] = env.best_match(
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 1051, in best_match
    return self.obtain(req, installer)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 1063, in obtain
    return installer(requirement)
  File "/usr/lib/python3.9/site-packages/setuptools/dist.py", line 746, in fetch_build_egg
    return fetch_build_egg(self, req)
  File "/usr/lib/python3.9/site-packages/setuptools/installer.py", line 77, in fetch_build_egg
    raise DistutilsError(str(e)) from e
distutils.errors.DistutilsError: Command '['/usr/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmpivkbu01p', '--quiet', 'pytest-runner']' returned non-zero exit status 1.
==> ERROR: A failure occurred in package().
    Aborting...
:: Packages failed to build: python-rebulk-3.0.1-2

fryfrog commented on 2020-12-27 20:18 (UTC)

@simonzack, thanks for figuring it out. Punted python-six from depends.

simonzack commented on 2020-12-27 07:06 (UTC)

Thanks for the updates fryfrog! Another small issue, I don't think this package needs python-six, after running pip show rebulk and pipdeptree.

A lot of other Python packages still depend on python-six I think, but the less the better. Hopefully there will fewer and fewer in the future.

fryfrog commented on 2020-12-25 16:40 (UTC)

Ha, duh! The whole point of removing python2! Fixed. :)

simonzack commented on 2020-12-25 06:49 (UTC) (edited on 2020-12-25 06:51 (UTC) by simonzack)

Oh python2-setuptools is still in the PKGBUILD can it be removed? Turns out the commit feat: add python 3.8/3.9 support, drop python 2.7/3.4 support · Toilal/rebulk@048a15f dropped Python 2 anyway.

fryfrog commented on 2020-12-25 05:27 (UTC)

Sure, I don't see any packages needing python2-rebulk. I'll punt it.

simonzack commented on 2020-12-25 03:35 (UTC) (edited on 2020-12-25 03:42 (UTC) by simonzack)

Can python2-rebulk be removed? Python 2 is deprecated now. I only use this package for subliminal, and installing Python 2 every time is rather unnecessary. It's probably the case that no other package requires python2-rebulk either.

tyrannis.hawk commented on 2020-06-26 09:59 (UTC)

When building, I get:

WARNING: The pip package is not available, falling back to EasyInstall for handling setup_requires/test_requires; this is deprecated and will be removed in a future version.

However, the rebulk package is available on pip: https://pypi.org/project/rebulk/

fryfrog commented on 2020-05-09 14:56 (UTC)

Done. The requirements.txt file links to a blog post that 404s, so who knows what is required and what isn't. :/

dkasak commented on 2020-05-09 10:54 (UTC) (edited on 2020-05-09 10:55 (UTC) by dkasak)

This patch works for me:

diff --git a/.SRCINFO b/.SRCINFO
index 582fb15..4273d45 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
 pkgbase = python-rebulk
    pkgdesc = Define simple search patterns in bulk to perform advanced matching on any string.
    pkgver = 2.0.1
-   pkgrel = 3
+   pkgrel = 4
    url = https://github.com/Toilal/rebulk
    arch = any
    license = MIT
@@ -14,11 +14,11 @@ pkgbase = python-rebulk
 pkgname = python-rebulk
    depends = python
    depends = python-six
-   depends = python-regex
+   optdepends = python-regex

 pkgname = python2-rebulk
    depends = python2
    depends = python2-six
-   depends = python2-regex
    depends = python2-ordereddict
+   optdepends = python2-regex

diff --git a/PKGBUILD b/PKGBUILD
index 0c2e439..b9ee7f1 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,7 +4,7 @@
 pkgname=('python-rebulk' 'python2-rebulk')
 _name=${pkgname#python-}
 pkgver=2.0.1
-pkgrel=3
+pkgrel=4
 pkgdesc="Define simple search patterns in bulk to perform advanced matching on any string. "
 arch=("any")
 url="https://github.com/Toilal/rebulk"
@@ -30,8 +30,8 @@ check() {

 package_python-rebulk() {
   depends=('python'
-           'python-six'
-           'python-regex')
+           'python-six')
+  optdepends=('python-regex')
   cd "${srcdir}/rebulk-${pkgver}"
   python setup.py install --root="${pkgdir}/" --optimize=1
 }
@@ -39,8 +39,8 @@ package_python-rebulk() {
 package_python2-rebulk() {
   depends=('python2'
            'python2-six'
-           'python2-regex'
            'python2-ordereddict')
+  optdepends=('python2-regex')
   cd "${srcdir}/rebulk-${pkgver}-py2"
   python2 setup.py install --root="${pkgdir}/" --optimize=1
 }

dkasak commented on 2020-05-09 10:49 (UTC) (edited on 2020-05-09 10:49 (UTC) by dkasak)

Since this breaking change was made in python-regex, many packages using python-rebulk are broken.

Since the rebulk Python package does not depend on regex (it's an optional dependency), could we make python-regex an optional dependency here as well?

arpspoof commented on 2020-05-04 16:09 (UTC)

@fryfrog

Thanks. I'll look into it.

fryfrog commented on 2020-05-04 16:07 (UTC)

@arpspoof: It isn't obvious to me what is causing your build to fail. I'm able to build it locally, both w/ my system and in a clean chroot. I would dig into the ImportError: cannot import name ensure_str part of the error and see where that is supposed to come from.

arpspoof commented on 2020-05-04 10:11 (UTC) (edited on 2020-05-04 10:13 (UTC) by arpspoof)

Hi. Still having problems installing this package:

==> Starting package_python2-rebulk()...
Traceback (most recent call last):
  File "/usr/lib/python2.7/runpy.py", line 174, in _run_module_as_main
    "main", fname, loader, pkg_name)
  File "/usr/lib/python2.7/runpy.py", line 72, in _run_code
    exec code in run_globals
  File "/usr/lib/python2.7/site-packages/pip/main.py", line 19, in <module>
    sys.exit(_main())
  File "/usr/lib/python2.7/site-packages/pip/_internal/cli/main.py", line 73, in main
    command = create_command(cmd_name, isolated=("--isolated" in cmd_args))
  File "/usr/lib/python2.7/site-packages/pip/_internal/commands/init.py", line 96, in create_command
    module = importlib.import_module(module_path)
  File "/usr/lib/python2.7/importlib/init.py", line 37, in import_module
    import(name)
  File "/usr/lib/python2.7/site-packages/pip/_internal/commands/wheel.py", line 14, in <module>
    from pip._internal.cli.req_command import RequirementCommand
  File "/usr/lib/python2.7/site-packages/pip/_internal/cli/req_command.py", line 20, in <module>
    from pip._internal.operations.prepare import RequirementPreparer
  File "/usr/lib/python2.7/site-packages/pip/_internal/operations/prepare.py", line 16, in <module>
    from pip._internal.distributions import (
  File "/usr/lib/python2.7/site-packages/pip/_internal/distributions/init.py", line 2, in <module>
    from pip._internal.distributions.wheel import WheelDistribution
  File "/usr/lib/python2.7/site-packages/pip/_internal/distributions/wheel.py", line 5, in <module>
    from pip._internal.utils.wheel import pkg_resources_distribution_for_wheel
  File "/usr/lib/python2.7/site-packages/pip/_internal/utils/wheel.py", line 12, in <module>
    from pip._vendor.six import PY2, ensure_str
ImportError: cannot import name ensure_str
Traceback (most recent call last):
  File "setup.py", line 62, in <module>
    setup(**args)
  File "/usr/lib/python2.7/site-packages/setuptools/init.py", line 144, in setup
    _install_setup_requires(attrs)
  File "/usr/lib/python2.7/site-packages/setuptools/init.py", line 139, in _install_setup_requires
    dist.fetch_build_eggs(dist.setup_requires)
  File "/usr/lib/python2.7/site-packages/setuptools/dist.py", line 721, in fetch_build_eggs
    replace_conflicting=True,
  File "/usr/lib/python2.7/site-packages/pkg_resources/init.py", line 782, in resolve
    replace_conflicting=replace_conflicting
  File "/usr/lib/python2.7/site-packages/pkg_resources/init.py", line 1065, in best_match
    return self.obtain(req, installer)
  File "/usr/lib/python2.7/site-packages/pkg_resources/init.py", line 1077, in obtain
    return installer(requirement)
  File "/usr/lib/python2.7/site-packages/setuptools/dist.py", line 777, in fetch_build_egg
    return fetch_build_egg(self, req)
  File "/usr/lib/python2.7/site-packages/setuptools/installer.py", line 130, in fetch_build_egg
    raise DistutilsError(str(e))
distutils.errors.DistutilsError: Command '['/usr/bin/python2', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmpZqI6mF', '--quiet', 'pytest-runner']' returned non-zero exit status 1
==> ERROR: A failure occurred in package_python2-rebulk().
    Aborting...
:: failed to build python-rebulk package(s)

fryfrog commented on 2020-05-02 01:51 (UTC)

Oops! This release was to fix what the patch was patching! Nuked it.

sommerfeld commented on 2020-05-02 01:33 (UTC)

the patch probably needs an update:

==> Starting prepare()...
patching file /tmp/makepkg/python-rebulk/src/rebulk-2.0.1/rebulk/loose.py
Hunk #1 FAILED at 56.
1 out of 1 hunk FAILED -- saving rejects to file /tmp/makepkg/python-rebulk/src/rebulk-2.0.1/rebulk/loose.py.rej
==> ERROR: A failure occurred in prepare().
    Aborting...

mssdvd commented on 2020-04-10 20:11 (UTC) (edited on 2020-04-10 20:14 (UTC) by mssdvd)

Hi, I have trouble to install the package, I get this error:

ERROR: Could not find an activated virtualenv (required).
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/setuptools/installer.py", line 128, in fetch_build_egg
    subprocess.check_call(cmd)
  File "/usr/lib/python3.8/subprocess.py", line 364, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/usr/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmp728fknn3', '--quiet', 'pytest-runner']' returned non-zero exit status 3.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "setup.py", line 62, in <module>
    setup(**args)
  File "/usr/lib/python3.8/site-packages/setuptools/__init__.py", line 143, in setup
    _install_setup_requires(attrs)
  File "/usr/lib/python3.8/site-packages/setuptools/__init__.py", line 138, in _install_setup_requires
    dist.fetch_build_eggs(dist.setup_requires)
  File "/usr/lib/python3.8/site-packages/setuptools/dist.py", line 695, in fetch_build_eggs
    resolved_dists = pkg_resources.working_set.resolve(
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 781, in resolve
    dist = best[req.key] = env.best_match(
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 1066, in best_match
    return self.obtain(req, installer)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 1078, in obtain
    return installer(requirement)
  File "/usr/lib/python3.8/site-packages/setuptools/dist.py", line 754, in fetch_build_egg
    return fetch_build_egg(self, req)
  File "/usr/lib/python3.8/site-packages/setuptools/installer.py", line 130, in fetch_build_egg
    raise DistutilsError(str(e))
distutils.errors.DistutilsError: Command '['/usr/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmp728fknn3', '--quiet', 'pytest-runner']' returned non-zero exit status 3.
==> ERROR: A failure occurred in check().
    Aborting...

fryfrog commented on 2020-01-15 04:02 (UTC)

@singron, thanks for the patch! :)

singron commented on 2020-01-15 02:45 (UTC)

I think this was broken by a recent python-regex update. See https://github.com/Toilal/rebulk/issues/20

There is a patch workaround in the github issue.

sleduc commented on 2017-01-28 09:42 (UTC)

I did indeed have this library. I tried removing it, but the installation still worked (the download on 'pypi' worked). I am not sure why it does not work for you, but in fact this shows that the pytest-runner library is a dependency for the build of this package. So I added 'python-pytest-runner' and 'python2-pytest-runner' as makedependency in the PKGBUILD, it should solve the problem.

Timothee commented on 2017-01-21 11:40 (UTC)

Hi, Yes I have always trouble. If you, you not seem to have this issue is may be because you have already pytest-runner library installed ?

cgirard commented on 2016-12-15 10:23 (UTC)

Thank you.

sleduc commented on 2016-12-14 18:15 (UTC)

Hi, Nothing except me not having a lot of time these days and being really late to take care of my packages. I updated it to 0.8.2, sorry for the delay. @Thimothee: I do not seem to have this issue on my side : do you still have the problem with the latest version ?

cgirard commented on 2016-12-14 15:20 (UTC)

Hi, is there some trouble blocking the PKGBUILD update? I need at least 0.8.2 to update python2-guessit.

Timothee commented on 2016-11-05 09:16 (UTC)

Hi, I have some troubles for install your package, below error message : ==> Lancement de package_python-rebulk()... Download error on https://pypi.python.org/simple/pytest-runner/: [Errno 104] Connection reset by peer -- Some packages may not be found! Couldn't find index page for 'pytest-runner' (maybe misspelled?) Download error on https://pypi.python.org/simple/: [Errno 104] Connection reset by peer -- Some packages may not be found! No local packages or working download links found for pytest-runner Traceback (most recent call last): File "setup.py", line 68, in <module> setup(**args) File "/usr/lib/python3.5/distutils/core.py", line 108, in setup _setup_distribution = dist = klass(attrs) File "/usr/lib/python3.5/site-packages/setuptools/dist.py", line 315, in __init__ self.fetch_build_eggs(attrs['setup_requires']) File "/usr/lib/python3.5/site-packages/setuptools/dist.py", line 361, in fetch_build_eggs replace_conflicting=True, File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 849, in resolve dist = best[req.key] = env.best_match(req, ws, installer) File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 1121, in best_match return self.obtain(req, installer) File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 1133, in obtain return installer(requirement) File "/usr/lib/python3.5/site-packages/setuptools/dist.py", line 429, in fetch_build_egg return cmd.easy_install(req) File "/usr/lib/python3.5/site-packages/setuptools/command/easy_install.py", line 659, in easy_install raise DistutilsError(msg) distutils.errors.DistutilsError: Could not find suitable distribution for Requirement.parse('pytest-runner') I believe pypi platform have some troubles, not sure. Can you fix it that ? Thank you for your work !

sleduc commented on 2016-07-11 08:05 (UTC)

Fixed, thanks for the comment.

jonathanio commented on 2016-07-04 17:23 (UTC)

The package is missing makedepends entries for python-setuptools and python2-setuptools: They must be pre-installed before makepkg will successfully build the package.

sleduc commented on 2016-05-08 15:24 (UTC)

Should be fixed now, thanks for your comment.

highway commented on 2016-05-06 21:16 (UTC)

currently the package URL is down or not working curl: (22) The requested URL returned error: 404 Not Found ==> ERROR: Failure while downloading https://pypi.python.org/packages/source/r/rebulk/rebulk-0.7.2.tar.gz Aborting... :: failed to verify python2-rebulk integrity